.text-img--dark {
  padding-top: 9rem;
  color: $white;
  background-color: $color-primary;
  
  @include mq($tablet-landscape) {
    padding-top: 3rem;
  }
}

.text-img--light {
  margin-top: 6.8rem;

  .text-img__wrapper {
    border-bottom: 1px solid $color-primary;
  }
  
  p {
    color: $color-primary;
  }

  .text-img__text {
    color: $color-secondary;
  }

  .text-img__img {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  h4 {
    margin-bottom: 4rem;
    text-align: center;
    line-height: 5rem;
    color: $color-secondary;

    a {
      color: $color-secondary;

      &:hover {
        color: $color-primary;
      }
    }
  }

  @include mq($tablet-landscape) {
    margin-top: 4rem;

    .text-img__img {
      width: 100%;

      img {
        width: 20rem;
      }
    }
  }

  @include mq($phone) {
    h4 {
      line-height: 3rem;
    }
  }
}

.text-img__wrapper {
  @include flex-justify;
  align-items: flex-end;
  
  @include mq($tablet-landscape) {
    flex-direction: column;
    align-items: center;
  }
}

.text-img__wrapper--center {
  align-items: center;
}

.text-img__text {
  width: 60%;
  padding-bottom: 6.7rem;
  
  p {
    margin-bottom: 1rem;
    padding-right: 2rem;
  }
  
  h5 {
    margin-bottom: 3.2rem;
    font-size: 2.5rem;
    font-weight: 400;
  }
  
  @include mq($tablet-landscape) {
    width: 100%;
    padding-bottom: 4rem;
    text-align: center;
  }
  
  @include mq($phone) {
    h5 {
      margin-bottom: 2rem;
      font-size: 1.9rem;
    }

    p {
      padding-right: 0;
    }
  }
}

.text-img__text-center {
  width: 60%;
  margin: 2rem auto 0;
  
  a {
    margin-top: 1rem;
  }

  @include mq($phone) {
    width: 100%;
  }
}

.text-img__img {
  display: flex;
  
  @include mq($tablet-landscape) {
    img {
      width: 60%;
      margin: 0 auto;
    }
  }
}